function [Tsim, Xsim] = exp_RA_Rafup_01(DF)
% --Machine Made via BioChemExp on 5/2/1--
% This code was designed to mimic experiment RA_Rafup_01.
% -----------------------------------------
% Initailize vars
	nP = DF.NUMBER_PARAMETERS;
	nX = DF.NUMBER_OF_STATES;
	Xsim = [];
	Tsim = [];
% Check on Inital Conditions
	DF.PARAMETER_VECTOR(1989)=DF.PARAMETER_VECTOR(1989)*10.0;
% Run to steady state
	SSdelta = 1;
	while(SSdelta>.01)
	DF.INITIAL_CONDITIONS=DF.PARAMETER_VECTOR(nP+1:end);
	[T,X]=SolveMassBalances(@DataFile,0.0,500.0,500.0,DF);
	DF.PARAMETER_VECTOR(nP+1:end) = X(end,:)';
	DF.INITIAL_CONDITIONS=DF.PARAMETER_VECTOR(nP+1:end);
	[T,X]=SolveMassBalances(@DataFile,0.0,1.0,1.0,DF);
	DF.PARAMETER_VECTOR(nP+1:end) = X(end,:)';
	SStot = sum(X');
	SSdelta = (SStot(1)-SStot(2))/SStot(2);
	end
	% Lets get the inital values
	Xsim = [Xsim;DF.PARAMETER_VECTOR(nP+1:end)'];
	Tsim = [Tsim;0];
%Run to next stimulus
	DF.INITIAL_CONDITIONS=DF.PARAMETER_VECTOR(nP+1:end);
	[T,X]=SolveMassBalances(@DataFile,0.0,10.0,1.0,DF);
	DF.PARAMETER_VECTOR(nP+1:end) = X(end,:)';
	Xsim = [Xsim;X(2:end,:)];
	Tsim = [Tsim;T(2:end)'];
% Add the next stimulus
	DF.PARAMETER_VECTOR(1979)=1000.0;
	DF.INITIAL_CONDITIONS=DF.PARAMETER_VECTOR(nP+1:end);
	[T,X]=SolveMassBalances(@DataFile,10.0,1000.0,1.0,DF);
	DF.PARAMETER_VECTOR(nP+1:end) = X(end,:)';
% Run to the end of simulation
	Xsim = [Xsim;X(2:end,:)];
	Tsim = [Tsim;T(2:end)'];
return;
